---
updatedAt: 2026-06-11T11:59:29.000Z
agentTools:
  projectIndex: https://developer.coingate.com/llms.txt
---

# Get Currencies

Retrieves all currencies.

This API provides information about supported currencies used in CoinGate’s merchant integrations for payment processing. It helps you determine:

* In which currencies shoppers can pay (merchant\_pay)
* In which currencies you, as a merchant, can receive settlements (merchant\_receive)
* In which currencies you can set product or service prices (merchant\_price)

### Other Related Endpoints

If you are looking for supported currencies in other services, refer to the following endpoints:

* [Merchant Refund Supported Currencies](https://developer.coingate.com/reference/refund-supported-currencies)
* [Payouts (Send) Supported Currencies](https://developer.coingate.com/reference/supported-payout-currencies-and-crypto-platforms)
* [Deposit Supported Currencies](https://developer.coingate.com/reference/deposit-supported-currencies)

### Common Usage Examples

Currencies in which shoppers can pay:

```curl
curl https://api.coingate.com/api/v2/currencies?merchant_pay=true
curl https://api.coingate.com/v2/currencies?merchant_pay=true&enabled=true
```

Currencies in which merchants can receive settlements:

```curl
curl https://api.coingate.com/v2/currencies?merchant_receive=true
```

#### Notes

* The `disabled` field in the response indicates that the currency is **temporarily unavailable** for use as a payment currency. You may optionally display the disabled\_message (in English) to inform users why the currency is disabled.
* The `native` field indicates whether the currency is natively supported by CoinGate. If native: false, it means the currency is processed via a third-party service.\
  *Currently, all shopper pay currencies are natively supported (native: true).*

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://api.coingate.com/api/v2"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/currencies": {
      "get": {
        "summary": "Get Currencies",
        "description": "Retrieves all currencies.",
        "operationId": "currencies",
        "parameters": [
          {
            "name": "native",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "enabled",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "merchant_pay",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "merchant_receive",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "kind",
            "in": "query",
            "description": "Accepted values: crypto, fiat",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "symbol",
            "in": "query",
            "description": "Search by currency symbol, for example: BTC",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n  {\n    id: 1,\n    title: 'Bitcoin',\n    kind: 'crypto',\n    symbol: 'BTC',\n    native: true,\n    disabled: false,\n    disabled_message: null,\n    merchant: {\n      price: true,\n      pay: true,\n      receive: true,\n    },\n    platforms: [\n      {\n        id: 8,\n        id_name: 'bitcoin',\n        title: 'Bitcoin',\n        enabled: true,\n      },\n    ],\n  },\n  {\n    id: 2,\n    title: 'Euro',\n    kind: 'fiat',\n    symbol: 'EUR',\n    native: true,\n    disabled: false,\n    disabled_message: null,\n    merchant: {\n      price: true,\n      pay: false,\n      receive: true,\n    },\n  },\n  {\n    id: 3,\n    title: 'United States dollar',\n    kind: 'fiat',\n    symbol: 'USD',\n    native: true,\n    disabled: false,\n    disabled_message: null,\n    merchant: {\n      price: true,\n      pay: false,\n      receive: true,\n    },\n  },\n  {\n    id: 4,\n    title: 'British Pound',\n    kind: 'fiat',\n    symbol: 'GBP',\n    native: true,\n    disabled: false,\n    disabled_message: null,\n    merchant: {\n      price: true,\n      pay: false,\n      receive: true,\n    },\n  },\n  {\n    id: 5,\n    title: 'Ethereum',\n    kind: 'crypto',\n    symbol: 'ETH',\n    native: true,\n    disabled: false,\n    disabled_message: null,\n    merchant: {\n      price: true,\n      pay: true,\n      receive: true,\n    },\n    platforms: [\n      {\n        id: 2,\n        id_name: 'binance_chain',\n        title: 'Binance Chain (BEP2)',\n        enabled: true,\n      },\n      {\n        id: 7,\n        id_name: 'ethereum',\n        title: 'Ethereum',\n        enabled: true,\n      },\n    ],\n  },\n]"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://api.coingate.com/v2/currencies\n\n# Enabled + Native + Crypto\ncurl https://api.coingate.com/v2/currencies?native=true&enabled=true&kind=crypto\n\n# Merchant Pay\ncurl https://api.coingate.com/v2/currencies?merchant_pay=true"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```